6.0.0-git
2024-04-24
Last Modified 2023-03-13 by Guest

Composer Package Manager

Horde 6 needs the Composer Package Manager.
Currently, composer 2.2 - 2.4 are supported.

Preferred: Get it via Phar.io Phive Installer

Install only for you as a normal user

phive install composer

OR

Install for all users as root into /usr/local/bin

phive install composer

See https://phar.io/#Install

Manual download

See https://getcomposer.org/download/ for instructions. Place the downloaded file in /usr/local/bin or another location in the search path and set the executable bit

OpenSUSE 15.4 and Tumbleweed

sudo zypper in php-composer2

Ubuntu 22.04 and up

sudo apt install composer

Fedora, RedHat, RHEL

See Phar.io Phive or manual download

Debian 11

See Mailing list:
https://marc.info/?l=horde&m=167152123830875&w=2 (or see Manual download above)

Debian 12

sudo apt install composer